<solidify-empty-container (onEscape)="backToList()"
                     solidifyShortCuts
>
  <solidify-button-toolbar-detail [backToListNavigate]="backToListNavigate()"
                                     [formPresentational]="formPresentational"
                                     [mode]="'create'"
  >
  </solidify-button-toolbar-detail>

  <div [solidifySpinner]="isLoadingWithDependencyObs | async"
       class="wrapper"
  >
    <dlcm-admin-person-form #formPresentational
                            (checkAvailableChange)="checkAvailable($event)"
                            (dirtyChange)="updateCanDeactivate($event)"
                            (navigate)="navigate($event)"
                            (submitChange)="create($event)"
                            *ngIf="isReadyToBeDisplayedInCreateModeObs | async"
                            [listRole]="listRoleObs | async"
                            [selectedInstitutions]="selectedInstitutionsObs | async"
                            [solidifyFocusFirstElement]="true"
    >
    </dlcm-admin-person-form>
  </div>
</solidify-empty-container>
